package org.xyzh.platform;

import org.apache.dubbo.config.spring.context.annotation.EnableDubbo;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.ComponentScan;

@SpringBootApplication
@EnableDubbo  // 启用 Dubbo 服务
@ComponentScan(basePackages = {
    "org.xyzh.platform",         // 当前platform模块
    "org.xyzh.common"          // 公共模块
})
public class PlatformApp {
    private static final Logger logger = LoggerFactory.getLogger(PlatformApp.class);
    
    public static void main(String[] args) {
        logger.info("======================== PlatformApp 启动中 =========================");
        SpringApplication.run(PlatformApp.class, args);
        logger.info("======================== PlatformApp 启动成功 =========================");
    }
}